Bug 1996897 - Router pods should have startup probes configured
Summary: Router pods should have startup probes configured
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Miciah Dashiel Butler Masters
QA Contact: jechen
URL:
Whiteboard:
Depends On: 1943845
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-23 22:57 UTC by OpenShift BugZilla Robot
Modified: 2022-08-04 22:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-12 19:51:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 645 0 None None None 2021-08-23 22:57:35 UTC
Red Hat Product Errata RHBA-2021:3686 0 None None None 2021-10-12 19:52:10 UTC

Comment 1 jechen 2021-08-24 19:53:11 UTC
Verified using pre-PR merge verification

used cluster-bot: launch openshift/cluster-ingress-operator#645

$ oc get clusterversion
NAME      VERSION                                                  AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.ci.test-2021-08-24-185728-ci-ln-w6i2nlk-latest   True        False         21m     Cluster version is 4.7.0-0.ci.test-2021-08-24-185728-ci-ln-w6i2nlk-latest

$ oc -n openshift-ingress get deployments/router-default -o yaml

<--snip-->

        startupProbe:
          failureThreshold: 120
          httpGet:
            path: /healthz/ready
            port: 1936
            scheme: HTTP
          periodSeconds: 1
          successThreshold: 1
          timeoutSeconds: 1
<--snip-->

Comment 6 Hongan Li 2021-09-30 03:03:00 UTC
the PR has been merged into 4.7.0-0.nightly-2021-09-28-155624 but seems the robot cannot move to VERIFIED automatically, so moving this to VERIFIED manually.

Comment 8 errata-xmlrpc 2021-10-12 19:51:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.33 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3686


Note You need to log in before you can comment on or make changes to this bug.